# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::NameNodeListImpl Class Reference

NodeList which lists all Nodes in a Element with a given "name=" tag. More...

`#include <dom_nodeimpl.h>`

Collaboration diagram for DOM::NameNodeListImpl:

[legend]
List of all members.

## Public Member Functions

| NameNodeListImpl (NodeImpl *doc, const DOMString &t)
virtual unsigned long | length () const
virtual NodeImpl * | item (unsigned long index) const

## Protected Member Functions

virtual bool | nodeMatches (NodeImpl *testNode) const

## Protected Attributes

NodeImpl * | refNode
DOMString | nodeName

## Detailed Description

NodeList which lists all Nodes in a Element with a given "name=" tag.

Definition at line 502 of file dom_nodeimpl.h.

The documentation for this class was generated from the following files:

- dom_nodeimpl.h
- dom_nodeimpl.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001